# Blog

Mar 3, 2025 [SimpleX Chat v6.3: new user experience and safety in public groups](./20241014-simplex-network-v6-1-security-review-better-calls-user-experience.md)

What's new in v6.3:
- preventing spam and abuse in public groups.
- group improvements: mention other members and improved performance.
- better chat navigation: organize chats into lists and jump to found and forwarded messages.
- privacy and security improvements: chat retention period and private media file names.

Also, we added Catalan interface language to Android and desktop apps, thanks to our users and Weblate.

The last but not the least - server builds are now reproducible!

--

Jan 14, 2025 [SimpleX network: large groups and privacy-preserving content moderation](./20250114-simplex-network-large-groups-privacy-preserving-content-moderation.md)

This post explains how server operators can moderate end-to-end encrypted conversations without compromising user privacy or end-to-end encryption.

--

Dec 10, 2024 [SimpleX network: preset servers operated by Flux, business chats and more with v6.2 of the apps](./20241210-simplex-network-v6-2-servers-by-flux-business-chats.md)

- SimpleX Chat and Flux made an agreement to include Flux-operated servers into the app to improve metadata privacy in SimpleX network.
- Business chats for better privacy and support of your customers.
- Better user experience: open on the first unread, jump to quoted messages, see who reacted.
- Improving notifications in iOS app.

--

Nov 25, 2024 [Servers operated by Flux - true privacy and decentralization for all users](./20241125-servers-operated-by-flux-true-privacy-and-decentralization-for-all-users.md)

- Welcome, Flux - the new servers in v6.2-beta.1!
- What's the problem?
- Using two operators improves connection privacy.
- SimpleX decentralization compared with Matrix, Session and Tor.
- What is next for SimpleX decentralization?

---

Oct 14, 2024 [SimpleX network: security review of protocols design by Trail of Bits, v6.1 released with better calls and user experience](./20241014-simplex-network-v6-1-security-review-better-calls-user-experience.md)

New security audit: Trail of Bits reviewed the cryptographic design of protocols used in SimpleX network and apps.

What's new in v6.1:
- Better calls: switch audio and video during the call.
- Better iOS notifications: improved delivery, reduced traffic usage.
- Better user experience: switch chat profiles, customizable message shapes, forward up to 20 messages.

---

Aug 14, 2024 [SimpleX network: the investment from Jack Dorsey and Asymmetric, v6.0 released with the new user experience and private message routing](./20240814-simplex-chat-vision-funding-v6-private-routing-new-user-experience.md)

SimpleX Chat: vision and funding 2.0: past, present, future.

Announcing the investment from Jack Dorsey and Asymmetric.

What's new in v6.0:
- Private message routing - now enabled by default
- New chat experience:
  - connect to your friends faster.
  - new reachable interface.
  - and much more!
- Improved networking and reduced battery usage

---

Jul 4, 2024 [The Future of Privacy: Enforcing Privacy Standards](./20240704-future-of-privacy-enforcing-privacy-standards.md)

It's time we shift the focus: privacy should be a non-negotiable duty of technology providers, not just a right users must fight to protect, and not something that users can be asked to consent away as a condition of access to a service.

---

Jun 4, 2024 [SimpleX network: private message routing, v5.8 released with IP address protection and chat themes](./20240604-simplex-chat-v5.8-private-message-routing-chat-themes.md)

What's new in v5.8:
- private message routing.
- server transparency.
- protect IP address when downloading files & media.
- chat themes for better conversation privacy - in Android and desktop apps.
- group improvements - reduced traffic and additional preferences.
- improved networking, message and file delivery.

Also, we added Persian interface language to the Android and desktop apps, thanks to our users and Weblate.

---

Jun 1, 2024 [Children's Safety Requires End-to-End Encryption](./20240601-children-safety-requires-e2e-encryption.md)

As lawmakers grapple with the serious issue of child exploitation online, some proposed solutions would fuel the very problem they aim to solve.

---

May 16, 2024 [SimpleX: Redefining Privacy by Making Hard Choices](./20240516-simplex-redefining-privacy-hard-choices.md)

When it comes to open source privacy tools, the status quo often dictates the limitations of existing protocols and structures. However, these norms need to be challenged to radically shift how we approach genuinely private communication. This requires doing some uncomfortable things, like making hard choices as it relates to funding, alternative decentralization models, doubling down on privacy over convenience, and more.

In this post we explain a bit more about why SimpleX operates and makes decisions the way it does:

- No user accounts.
- Privacy over convenience.
- Network decentralization.
- Funding and profitability.
- Company jurisdiction.

---

Apr 26, 2024 [SimpleX network: legally binding transparency, v5.7 released with better calls and messages](./20240426-simplex-legally-binding-transparency-v5-7-better-user-experience.md)

We published Transparency Reports, Security Policy, and Frequently Asked Questions, and updated Privacy Policy.

We are committed to have full consistency between marketing promises and legally binding documents.

What's new in v5.7:
- quantum resistant end-to-end encryption with all contacts.
- forward and save messages without revealing the source.
- in-call sounds and switching sound sources.
- better network connection management.
- customizable profile images

---

Apr 16. 2024 [The dangers of metadata in messengers](./20240416-dangers-of-metadata-in-messengers.md)

_By [Esra'a al Shafei](https://mastodon.social/@alshafei)_

It's important not to be complacent with the current standards of messaging, where metadata aggregation is still normalized in apps falsely and dangerously marketed as "private". This is a post exploring the fundamental differences between privacy and security.

---

Apr 4. 2024 [Why I joined SimpleX Chat](./20240404-why-i-joined-simplex-chat-esraa-al-shafei.md)

_By [Esra'a al Shafei](https://mastodon.social/@alshafei)_

Transitioning from a lifelong career dedicated to nonprofits, including Board roles at organizations like the Wikimedia Foundation, Access Now and Tor, my decision to join SimpleX Chat may come as a surprise to some. But, as I step into this new chapter, I want to share the insights and convictions that have guided me here, shedding light on what I think sets SimpleX Chat apart and why this move feels like an essential learning opportunity.

---

Mar 23, 2024 [SimpleX network: real privacy and stable profits, non-profits for protocols, v5.6 released with quantum resistant e2e encryption and simple profile migration](./20240323-simplex-network-privacy-non-profit-v5-6-quantum-resistant-e2e-encryption-simple-migration.md)

SimpleX network: deliver real privacy via a profitable business and non-profit protocol governance:
- community and business interests are aligned.
- the journey to the decentralized non-profit protocol governance.
- welcome, Esra’a!

What's new in v5.6:
- quantum resistant end-to-end encryption (BETA) – enable it for the new contacts.
- use the app during the audio and video calls.
- migrate all app data to another device via QR code.

---

Mar 14, 2024 [SimpleX Chat v5.6 (beta): adding quantum resistance to Signal double ratchet algorithm](./20240314-simplex-chat-v5-6-quantum-resistance-signal-double-ratchet-algorithm.md)

This is a major upgrade for SimpleX Chat messaging protocol stack, I am really proud to present this work of the whole team.

This post also covers various aspects of end-to-end encryption, compares different messengers, and explains how and why quantum-resistant encryption is added to SimpleX Chat:

- Why do we need end-to-end encryption?
- Why encryption is even allowed?
- End-to-end encryption security: attacks and defense.
- How secure is encryption in different messengers?
- Adding quantum resistance to Signal double ratchet algorithm.
- When can you start using quantum resistant chats?
- Next for post-quantum crypto: all direct chats, small groups and security audit.

---

Jan 24, 2024 [SimpleX Chat: free infrastructure from Linode, v5.5 released](./20240124-simplex-chat-infrastructure-costs-v5-5-simplex-ux-private-notes-group-history.md)

SimpleX Chat infrastructure on Linode:
- Free infrastructure.
- SimpleX servers in Linode Marketplace.
- High capacity messaging servers.

What's new in v5.5:
- private notes.
- group history.
- simpler UX to connect to other users.
- message delivery stability and other improvements.

---

Nov 25, 2023 [SimpleX Chat v5.4 released](./20231125-simplex-chat-v5-4-link-mobile-desktop-quantum-resistant-better-groups.md)

- Link mobile and desktop apps via secure quantum-resistant protocol. 🔗
- Better groups:
  - faster to join and more reliable.
  - create groups with incognito profile.
  - block group members to reduce noise.
  - prohibit files and media in a group.
- Better calls: faster to connect, with screen sharing on desktop.
- Many other improvements.

---

Sep 25, 2023 [SimpleX Chat v5.3 released](./20230925-simplex-chat-v5-3-desktop-app-local-file-encryption-directory-service.md)

- new desktop app! 💻
- directory service and other group improvements.
- encrypted local files and media with forward secrecy.
- simplified incognito mode.

---

July 22, 2023 [SimpleX Chat v5.2 released](./20230722-simplex-chat-v5-2-message-delivery-receipts.md)

**What's new in v5.2:**

- message delivery receipts – with opt-out per contact!
- filter favorite and unread chats.
- more usable groups:
  - view full original replied message in info.
  - share your address with your contacts and group members via your chat profile.
  - search new and existing members.
- stability improvements:
  - keep your connections working after restoring from backup.
  - restart app (Android) or reconnect servers (iOS).
  - more reliable switching of the receiving address.
  - more stable message delivery.
- other improvements:
  - better disappearing messages.
  - prohibit message reactions.

**Platform evolution:**

- problems of public groups problems of public groups and their future.
- what about read receipts?

---

May 23, 2023 [SimpleX Chat v5.1 released](./20230523-simplex-chat-v5-1-message-reactions-self-destruct-passcode.md)

What's new in v5.1:
- message reactions 🚀
- improved messages:
  - voice messages up to 5 minutes.
  - custom time to disappear.
  - message editing history.
- new design and customizable themes that you can share!<sup>*</sup>
- self-destruct passcode

Also, we added Japanese and Portuguese (Brazil)<sup>*</sup> interface languages, thanks to our users and Weblate.

\* These features are available in the Android version only.language interface, thanks to our users and Weblate!

---

Apr 22, 2023 [SimpleX Chat: vision and funding, v5.0 released](./20230422-simplex-chat-vision-funding-v5-videos-files-passcode.md)

SimpleX Chat vision and funding:
- why is it a commercial company?
- how is it funded and what is the business model?
- what is next?

What's new in v5.0:
- send videos and files up to 1gb
- app passcode independent from system authentication
- networking improvements

Also, we added Polish language interface, thanks to our users and Weblate!

---

Mar 28, 2023 [SimpleX Chat v4.6 released](./20230328-simplex-chat-v4-6-hidden-profiles.md)

- ARMv7a and Android 8+ support!
- hidden chat profiles
- group/community moderation
- group welcome message
- improved audio/video calls
- reduced battery usage
- SMP server monitoring: status bot and page

Also, we added Chinese and Spanish language interface, thanks to our users and Weblate!

---

Mar 1, 2023 [SimpleX File Transfer Protocol](./20230301-simplex-file-transfer-protocol.md)

A new protocol for sending large files efficiently, privately and securely. It will be soon integrated into SimpleX Chat apps.

---

Feb 4, 2023 [SimpleX Chat v4.5 released](./20230204-simplex-chat-v4-5-user-chat-profiles.md)

- multiple chat profiles.
- message draft.
- transport isolation.
- reduced battery usage.
- private filenames.

Also, we added Italian language interface, thanks to our users and Weblate!

---

Jan 3, 2023 [SimpleX Chat v4.4 released](./20230103-simplex-chat-v4.4-disappearing-messages.md)

- disappearing messages.
- "live" messages.
- connection security verification.
- animated images and stickers – now on iOS too.

Also, we added French language interface, thanks to our users and Weblate!

---

Dec 6, 2022 [SimpleX Chat reviews and v4.3 released](./20221206-simplex-chat-v4.3-voice-messages.md)

November reviews:

- [Privacy Guides](https://www.privacyguides.org/real-time-communication/#simplex-chat) recommendations.
- [Review by Mike Kuketz](https://www.kuketz-blog.de/simplex-eindruecke-vom-messenger-ohne-identifier/).
- [The messenger matrix](https://www.messenger-matrix.de).
- [Supernova review](https://supernovas.space/detailed_reviews.html#simplex) and [messenger ratings](https://supernovas.space/messengers.html).

---

v4.3 is released:

- instant voice messages!
- irreversible deletion of sent messages for all recipients
- improved SMP server configuration and support for server passwords
- privacy and security improvements: protect app screen, SimpleX links security, etc.

Nov 8, 2022 [Security audit by Trail of Bits, the new website and v4.2 released](./20221108-simplex-chat-v4.2-security-audit-new-website.md)

_"Have you been audited or should we just ignore you?"_

SimpleX Chat has now been audited by [Trail of Bits](https://www.trailofbits.com/about), 4 issues were identified, and 3 of them are fixed in 4.2

The new website is live: https://simplex.chat

---

v4.2 is released:

- group links - group admins can create the links for new members to join
- auto-accept contact requests + configure whether to accept incognito and welcome message
- small things: change group member role, mark chat as unread, send stickers and GIFs from Android keyboards.
- manually switch contact or member to another address / server (BETA)
- receive files faster (BETA)

---

Sep 28, 2022 [v4: local database encryption](./20220928-simplex-chat-v4-encrypted-database.md)

- encrypted local chat database - if you already use the app, you can encrypt the database in the app settings
- support for self-hosted WebRTC ICE servers
- improved stability of creating new connections: more reliable groups, files and contacts
- deleting files and media - for security and to save storage
- For developers - TypeScript SDK for integrating with SimpleX Chat
- support animated images in Android app
- German language in mobile apps UI

---

Sep 1, 2022 [v3.2: Incognito mode](./20220901-simplex-chat-v3.2-incognito-mode.md)

- Incognito mode - use a new random profile name for each contact
- use .onion server addresses with Tor
- endless scrolling and search
- choose accent color and dark mode
- reduced APK size for direct download and in F-Droid repo from 200 to 46Mb!

Implementation audit is arranged for October!

---

Aug 8, 2022 [v3.1: chat groups](./20220808-simplex-chat-v3.1-chat-groups.md)

- finally, secret chat groups - nobody but members know they exist!
- access to messaging servers via Tor on all platforms
- advanced network settings to optimize traffic usage
- published chat protocol
- new app icons

---

Jul 23, 2022 [v3.1-beta: access servers via Tor](./20220723-simplex-chat-v3.1-tor-groups-efficiency.md)

- terminal app: access to messaging servers via SOCKS5 proxy (e.g., Tor).
- mobile apps: join and leave chat groups.
- optimized battery and traffic usage - up to 90x reduction!
- two docker configurations for self-hosted SMP servers.

---

Jul 11, 2022 [v3: instant push notifications for iOS and audio/video calls](./20220711-simplex-chat-v3-released-ios-notifications-audio-video-calls-database-export-import-protocol-improvements.md):

- chat database export and import
- end-to-end encrypted audio/video calls
- protocol privacy and performance improvements

---

Jun 4, 2022 [v2.2: the new Privacy and Security settings](./20220604-simplex-chat-new-privacy-security-settings.md)

---

May 24, 2022 [v2.1: clearing messages for better conversation privacy](./20220524-simplex-chat-better-privacy.md)

---

May 11, 2022 [v2.0 released - sending images and files in mobile apps](./20220511-simplex-chat-v2-images-files.md)

---

Apr 04, 2022 [Instant notifications for SimpleX Chat mobile apps](./20220404-simplex-chat-instant-notifications.md)

---

Mar 08, 2022 [Mobile apps for iOS and Android released!](./20220308-simplex-chat-mobile-apps.md)

---

Feb 14, 2022. [SimpleX Chat: join our public beta for iOS!](./20220214-simplex-chat-ios-public-beta.md)

---

Jan 12, 2022. [SimpleX Chat v1 released: the most private and secure chat and application platform](./20220112-simplex-chat-v1-released.md)

---

Dec 08, 2021. [SimpleX Chat v0.5 released: the first chat platform that is 100% private by design - no access to your connections graph](./20211208-simplex-chat-v0.5-released.md)

---

Sep 14, 2021. [SimpleX Chat v0.4 released: open-source chat that uses privacy-preserving message routing protocol](./20210914-simplex-chat-v0.4-released.md)

---

May 12, 2021. [SimpleX Chat Prototype!](./20210512-simplex-chat-terminal-ui.md)

---

Oct 22, 2020. [SimpleX Chat](./20201022-simplex-chat.md)
